<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Order_Login.aspx.cs" Inherits="Mall.Order.Order_Login" %>

 <%@ Register Src="/usercontrol/Top.ascx" TagName="uchead" TagPrefix="headuc" %>
<%@ Register Src="/usercontrol/Footer.ascx" TagName="ucfooter" TagPrefix="footeruc" %>
<%
    string s_code = r_code;// TempData["order_Login_r_code"] == null ? string.Empty : TempData["order_Login_r_code"].ToString();

 %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD 
id=ctl00_Head1><TITLE>用户登陆</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8"><LINK media=screen href="/content/images/mkl/global.css" 
type=text/css rel=stylesheet>
<LINK media=screen href="/content/images/mkl/u.css" type=text/css rel=stylesheet>
<LINK href="/content/images/mkl/mverify.css" type=text/css rel=stylesheet>
<LINK media=screen href="/content/images/mkl/c2.css" type=text/css rel=stylesheet>
<SCRIPT src="/content/images/mkl/jquery-1.3.2.min.js" type=text/javascript></SCRIPT>
<script type="text/javascript" src="/content/images/mkl/Simplelogn.js"></script>
	<script type="text/javascript">
	    //缓存电子邮件
	    var validateOnce = { Email: "", Exists: false };
	    var loginService = 'http://180.86.88.210/webService/';
	</script>
<META content="MSHTML 6.00.6000.17080" name=GENERATOR></HEAD>
<BODY>
<headuc:uchead ID="headuc" runat="server" />
 
<DIV class="wrap w800" style="width:960px;"  >
<div style="width:100%; float:left;">
<div style="width:450px; margin-left:5px; float:left;background:url(/content/images/mkl/bg-shd.png)  repeat-x ; width: border-bottom:1px #f5f2f1 solid; border-left: 1px #f5f2f1 solid; border-right: 1px #f5f2f1 solid;">
<!--布局左边开始-->
<DIV class=actmain style="width:450px;">
 
<FORM id=aspnetForm name=aspnetForm action=/order/order_login.aspx method=post>
<input type=hidden name=login_type value=login />
<DIV><img src="/content/images/mkl/mtr.jpg" alt="" width="264" height="36"></DIV>
<DIV> </DIV>
<FIELDSET><LEGEND>填写注册信息</LEGEND>
<DIV class=clearfix><LABEL for=ctl00_cpBody_email>Email地址：</LABEL> <INPUT 
class=text id=email name=email> <SPAN class=onError 
id=spanEmailTip  style="margin-left:100px;"></SPAN></DIV>
<DIV class=clearfix><LABEL for=ctl00_cpBody_psd>密码：</LABEL> <INPUT class=text 
id=pwd type=password maxLength=30 name=pwd> <SPAN 
class=onFocus style="margin-left:100px;" id=spanPwdTip></SPAN></DIV>
<DIV class=clearfix id=valibox><LABEL for=ctl00_cpBody_checkimg>验证码：</LABEL> 
<INPUT class="text checkinput" id=checkimg maxLength=4 
name=checkimg> <font color="#993300" size="+2"><strong  ><input type="hidden" id="imgc" value="<%=s_code %>" name="imgc" ><%=s_code%></strong></font> <SPAN  style="margin-left:100px;"  class="" 
id=spanVerifyCodeTip></SPAN><SPAN class="note error" id=spanServerError 
style="DISPLAY: none;margin-left:100px; "></SPAN></DIV>
<DIV class="clearfix align"></DIV>
<DIV class="clearfix align"><INPUT  style="DISPLAY: block; BACKGROUND: url(/content/images/mkl/login_4.jpg) no-repeat 0px 0px; OVERFLOW: hidden; WIDTH: 114px; CURSOR: pointer; BORDER-TOP-STYLE: none; TEXT-INDENT: -99em; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; HEIGHT: 32px; BORDER-BOTTOM-STYLE: none" id=ctl00_cpBody_btnRegister onClick="return CheckRegister();" type=submit value=提交注册信息 name=ctl00$cpBody$btnRegister> 
</DIV></FIELDSET> <INPUT id=hidVerifyCodeReg type=hidden 
value=EB790EC5609F4CB2831FB2C73432BD59 name=hidVerifyCodeReg> <INPUT 
id=hidVerifyCodeUrl type=hidden value=4256> 
<input type="hidden" id="action" name="action" value="save">
</FORM></DIV>
<!--布局左边结束-->
</div>
<div style="width:450px;  float:left;  background:url(/content/images/mkl/bg-shd.png)  repeat-x ; width: border-bottom:1px #f5f2f1 solid; border-left: 1px #f5f2f1 solid; border-right: 1px #f5f2f1 solid; ">
<!--布局右边开始-->
<FORM id=aspnetForm name=aspnetFormt  method=post>
<input type="hidden" name="action" id="action" value="tempuser">
<DIV class="form-box mb10" id=naddress style="margin-top:50px;">
<DIV><img src="/content/images/mkl/mtl.jpg" alt="" width="264" height="36"></DIV>
<DIV> </DIV>
<DIV class="clearfix mt10"><LABEL for=receiver>收货人：</LABEL><INPUT 
  class="text" id=ctl00_MainPlace_txtCustomerName 
  onblur=ContactNameChange(this) onfocus=ContactNameGet() maxLength=5 
  name=ctl00_MainPlace_txtCustomerName><SPAN class="etips ml10" 
  id=ErrorCustomerName>请填写您的真实姓名，最多五个汉字</SPAN><SPAN class="dtips ml10" 
  id=tipCustomerName>请填写您的真实姓名，最多五个汉字</SPAN> </DIV>
<DIV class="clearfix mt10"><LABEL for=postcode>邮编：</LABEL><INPUT 
  class="text" id=ctl00_MainPlace_txtPostCode1 
  onblur=PostalCodeChange(this) 
  maxLength=6 name=ctl00_MainPlace_txtPostCode1><SPAN class="etips ml10" 
  id=ErrorPostCode>请填写准确的<A class=a2 
  href="http://cpdc.com.cn/postcdQueryAction.do?reqCode=gotoQueryPostAddr" 
  target=_blank>邮编（点这里查询）</A>，以确保商品尽快送达</SPAN></SPAN><SPAN class="dtips ml10" 
  id=tipPostCode>请填写准确的邮编</SPAN> </DIV>
<DIV class="clearfix mt10"><LABEL for=province>所在省市：</LABEL>
<SELECT id=ctl00_MainPlace_cmbState style="DISPLAY: none" 
  name=ctl00_MainPlace_cmbState> <OPTION value=CN selected>中国</OPTION></SELECT> 
  <SELECT id=ctl00_MainPlace_cmbProvince 
  onchange="" name=ctl00_MainPlace_cmbProvince> 
    <OPTION value=安徽省>安徽省</OPTION> <OPTION 
    value=北京市 selected>北京市</OPTION> <OPTION value=福建省>福建省</OPTION> <OPTION 
    value=甘肃省>甘肃省</OPTION> <OPTION value=广东省>广东省</OPTION> <OPTION 
    value=广西>广西</OPTION> <OPTION value=贵州省>贵州省</OPTION> <OPTION 
    value=海南省>海南省</OPTION> <OPTION value=河北省>河北省</OPTION> <OPTION 
    value=河南省>河南省</OPTION> <OPTION value=黑龙江>黑龙江</OPTION> <OPTION 
    value=湖北省>湖北省</OPTION> <OPTION value=湖南省>湖南省</OPTION> <OPTION 
    value=吉林省>吉林省</OPTION> <OPTION value=江苏省>江苏省</OPTION> <OPTION 
    value=江西省>江西省</OPTION> <OPTION value=辽宁省>辽宁省</OPTION> <OPTION 
    value=内蒙古>内蒙古</OPTION> <OPTION value=宁夏>宁夏</OPTION> <OPTION 
    value=青海省>青海省</OPTION> <OPTION value=山东省>山东省</OPTION> <OPTION 
    value=山西省>山西省</OPTION> <OPTION value=陕西省>陕西省</OPTION> <OPTION 
    value=上海市>上海市</OPTION> <OPTION value=四川省>四川省</OPTION> <OPTION 
    value=天津市>天津市</OPTION> <OPTION value=西藏>西藏</OPTION> <OPTION 
    value=新疆>新疆</OPTION> <OPTION value=云南省>云南省</OPTION> <OPTION 
    value=浙江省>浙江省</OPTION> <OPTION value=重庆市>重庆市</OPTION></SELECT><input type="text"  class="text short" 
  id=ctl00_MainPlace_cmbCity onfocus=CityChangen(this) onblur=CityChange(this) 
  name=ctl00_MainPlace_cmbCity > <SPAN class="etips ml10" 
  id=CityError>城市名称不够详细</SPAN><SPAN class="dtips ml10" 
  id=tipCity>请输入城市址</SPAN> </DIV>
  
  <DIV class="clearfix mt10"><LABEL for=detail-address>详细地址：</LABEL>
    <input 
  class="text" id=ctl00_MainPlace_txtAddress onBlur=AddressChange(this) 
  onFocus=AddressGet() name=ctl00_MainPlace_txtAddress>
    <SPAN class="etips ml10" 
  id=AddressError>收货人地址不够详细</SPAN><SPAN class="dtips ml10" 
  id=tipAddress>请填写您的详细地址</SPAN> </DIV>
  <DIV class="clearfix mt10"><LABEL for=mobile>移动电话：</LABEL><INPUT 
  class="text veriy-tips" id=ctl00_MainPlace_txtCellphone1 maxLength=11 
  name=ctl00_MainPlace_txtCellphone1> <SPAN 
  class="dtips ml10">手机号码是11位数字</SPAN><SPAN class="etips ml10" 
  id=ErrorCellphone1>请输入正确的手机号，是11位数字，且是13，14，15，18开头。</SPAN> </DIV>
  <DIV class="clearfix mt10">  <INPUT class="confirm-address fl" id=ctl00_MainPlace_btnNext onClick="check();" type=button value=确认收货地址,下一步 name=ctl00$MainPlace$btnNext> 
 </DIV>
 </DIV>
<!--布局右边结束-->
</form>
</div>
<div style="width:100%; clear:both;"></div>
</div>
 
 
</DIV>
 
<footeruc:ucfooter ID="footeruc" runat="server" /><!-- T_sfooter.html(单页模板) -->
 
</BODY></HTML>
<SCRIPT type=text/ecmascript>
    $("input.veriy-tips").focus(function () {
        $(this).siblings(".etips").css("display", "none");
        $(this).siblings(".dtips").css("display", "inline-block");
    })
    $("input.veriy-tips").blur(function () {
        $(this).siblings(".dtips").css("display", "none");
    })
    $("#ctl00_MainPlace_txtCellphone1").blur(function () {
        var mp = $(this).val(), intMp = parseInt(mp).toString();

        if (mp.length != 11) {
            $(this).siblings(".etips").css("display", "inline-block");
            return;
        }
        if (intMp.length != 11) {
            $(this).siblings(".etips").css("display", "inline-block");
            return;
        }

        if (intMp.substring(0, 2) != 15 && intMp.substring(0, 2) != 13 && intMp.substring(0, 2) != 18 && intMp.substring(0, 2) != 14) {
            $(this).siblings(".etips").css("display", "inline-block");
            return;
        }
    })
       
 
        
    </SCRIPT>
 
<SCRIPT language=javascript type=text/javascript>

    function ContactNameChange(obj) {
        var regex = /^[\u4e00-\u9fa5]{0,}$/;
        if (Trim(obj.value).length == 0) {
            document.getElementById("tipCustomerName").style.display = "None";
            document.getElementById("ErrorCustomerName").style.display = "inline-block";
            document.getElementById("ErrorCustomerName").innerHTML = "请填写您的真实姓名，最多五个汉字";
        } else
            if (!regex.test(Trim(obj.value))) {
                document.getElementById("tipCustomerName").style.display = "None";
                document.getElementById("ErrorCustomerName").style.display = "inline-block";
                document.getElementById("ErrorCustomerName").innerHTML = "请输入正确的汉字";
            }
            else {
                document.getElementById("ErrorCustomerName").style.display = "None";
                document.getElementById("tipCustomerName").style.display = "None";
            }

        if (Trim(obj.value).length == 0) {
            document.getElementById("tipCustomerName").style.display = "None";
            document.getElementById("ErrorCustomerName").style.display = "inline-block";
            document.getElementById("ErrorCustomerName").innerHTML = "请填写您的真实姓名，最多五个汉字";
        }
    }
    function ContactNameGet() {
        document.getElementById("tipCustomerName").style.display = "inline-block";
        document.getElementById("ErrorCustomerName").style.display = "None";
    }
    function PostCodeGet() {
        document.getElementById("tipPostCode").style.display = "inline-block";
        document.getElementById("ErrorPostCode").style.display = "None";
    }

    function AddressGet() {
        document.getElementById("tipAddress").style.display = "inline-block";
        document.getElementById("AddressError").style.display = "None";
    }
    function AddressChange(obj) {
        if (Trim(obj.value).length < 6) {
            document.getElementById("AddressError").style.display = "inline-block";
            document.getElementById("tipAddress").style.display = "none";
            document.getElementById("AddressError").innerHTML = "收货人地址不够详细";

            return false;
        }
        else {
            document.getElementById("AddressError").style.display = "None";
            document.getElementById("tipAddress").style.display = "None";
        }
        if (Trim(obj.value).length > 0) {
            var reg = /[\u4E00-\u9FA5]/g
            if (!reg.test(obj.value)) {
                document.getElementById("AddressError").style.display = "inline-block";
                document.getElementById("tipAddress").style.display = "none";
                document.getElementById("AddressError").innerHTML = "请填写准确的详细地址，以确保商品尽快送达";


                return false;
            }
        }

    }

    function CityChangen(obj) {
        document.getElementById("tipCity").style.display = "inline-block";
        document.getElementById("CityError").style.display = "None";
    }
    function CityChange(obj) {
        if (Trim(obj.value).length < 2) {
            document.getElementById("tipCity").style.display = "None";
            document.getElementById("CityError").style.display = "inline-block";
            document.getElementById("CityError").innerHTML = "城市地址不够详细";

            return false;

        }
        else {
            document.getElementById("CityError").style.display = "None";
            document.getElementById("tipCity").style.display = "None";
        }
    }

    function Trim(str) {    /** 去掉空格方法*/
        return ToCDB(str).replace(/(^\s*)|(\s*$)/g, "");
    }
    function ToCDB(str) {
        var tmp = "";
        for (var i = 0; i < str.length; i++) {
            if (str.charCodeAt(i) == 12288) {   /** 去掉全角空格方法*/
                tmp += String.fromCharCode(32);
            }
            else {
                tmp += String.fromCharCode(str.charCodeAt(i));
            }
        }
        return tmp
    }       
 
    </SCRIPT>
 
<SCRIPT language=javascript type=text/javascript>




    function check() {

        //var oaddress=document.getElementById("old-address")
        //if (oaddress.checked){

        //      this.location.href="ordership.asp";

        //}


        var cellphone = document.getElementById("ctl00_MainPlace_txtCellphone1").value;
        var postcode = document.getElementById("ctl00_MainPlace_txtPostCode1").value;
        var cmbProvince = document.getElementById("ctl00_MainPlace_cmbProvince").value;
        var cmbCity = document.getElementById("ctl00_MainPlace_cmbCity").value;
        var txtAddress = document.getElementById("ctl00_MainPlace_txtAddress").value;
        var customername = document.getElementById("ctl00_MainPlace_txtCustomerName").value;

        if (Trim(cellphone).length == 0 || Trim(cellphone).length != 11) {
            document.getElementById("ErrorCellphone1").style.display = "inline-block";
            return false;
        }
        if (document.getElementById("ErrorCellphone1").style.display == "inline-block") {
            return false;
        }
        if (Trim(postcode).length == 0) {
            document.getElementById("ErrorPostCode").style.display = "inline-block";
            return false;
        }
        if (document.getElementById("ErrorPostCode").style.display == "inline-block") {
            return false;
        }
        if (Trim(cmbProvince).length == 0 || Trim(cmbCity).length == 0) {
            document.getElementById("ErrorPostCode").style.display = "inline-block";
            return false;
        }
        if (Trim(txtAddress).length < 6) {
            document.getElementById("AddressError").style.display = "inline-block";
            return false;
        }
        if (Trim(customername).length == 0) {
            document.getElementById("ErrorCustomerName").style.display = "inline-block";
            return false;
        }



        aspnetFormt.submit();
    }
 
    
    </SCRIPT>
	<SCRIPT language=javascript type=text/javascript>


	    var provinceId = "";
	    function f_SetProv(value) {
	        provinceId = value;
	        document.all('ctl00_MainPlace_cmbProvince').value = value;

	    }
	    function f_PostalCodeErr() {
	        isPostalErr = true;
	    }



	    var isPostalErr = true;

	    function PostalCodeChange(obj) {
	        // iMessage.style.display="inline-block";
	        //liMessage.innerHTML = "请填写准确的邮编，以确保商品尽快送达";
	        return true;

	    }
	
 
	
    </SCRIPT>
<SCRIPT src="/content/images/mkl/comm.js" type=text/javascript></SCRIPT>
<SCRIPT src="/content/images/mkl/o_code.js" type=text/javascript></SCRIPT>

